Tasks

Register Tasks

post

Registers tasks in the system.

Responses
chevron-right
200

OK

No content

post
/tasks/

No content

Get All Tasks

get

Retrieves all tasks grouped by their categories.

Responses
chevron-right
200

OK

application/json
get
/tasks/

Stop Task

put

Stops a specific task by its ID.

Path parameters
task_idstringRequired

Task ID

Responses
chevron-right
200

OK

No content

put
/tasks/{task_id}

No content

Start Task

post

Starts a specific task by its ID.

Path parameters
task_idstringRequired

Task ID

Responses
chevron-right
200

OK

No content

post
/tasks/{task_id}

No content

Create Task

put

Creates a new task in the system.

Body
datainteger[]Optional

slice of task models depends on the module

idstringOptional
modulestringOptional
Responses
chevron-right
200

OK

application/json
idstringOptional
put
/tasks/

Delete Task

delete

Deletes a specific task by its ID.

Path parameters
task_idstringRequired

Task ID

Responses
chevron-right
200

OK

No content

delete
/tasks/{task_id}

No content

Rename Task

patch

Renames a specific task by its ID.

Path parameters
task_idstringRequired

Task ID

Body
new_namestringOptional
Responses
chevron-right
200

OK

No content

patch
/tasks/{task_id}

No content

Trigger "feed" Mode Tasks

post

Feeds a Solana transaction to trigger "feed" mode tasks running.

Body
slotintegerOptional

Highly recommended: Slot number of the transaction

transactionstringOptional

Base64 encoded Solana transaction

Responses
chevron-right
200

OK

No content

post
/feed

No content

Last updated